# Interface methods for submodule: HistogramToProbabilityImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: HistogramToProbabilityImageFilter
class HistogramToProbabilityImageFilterProxy(_ImageSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetTotalFrequency(self, n: int) -> None:
		""""""
		...

